be.fgov.ehealth.commons._1_0.core

## Class PeriodType

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.core.PeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:38:50+01:00",
                 comments="JAXB RI v2.3.7")
      public class PeriodType
      extends Object
      implements Serializable

  Java class for PeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BeginDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getBeginDate()` Gets the value of the beginDate property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `void` | `setBeginDate(org.joda.time.DateTime value)` Sets the value of the beginDate property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodType

          public PeriodType()

  - ### Method Detail

    - #### getBeginDate

          public org.joda.time.DateTime getBeginDate()

      Gets the value of the beginDate property.
      Returns:
        possible object is `String`

    - #### setBeginDate

          public void setBeginDate(org.joda.time.DateTime value)

      Sets the value of the beginDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.